#!/bin/sh

LANG=C
export LANG

if [ X$1 = X ]
then
 echo ""
 echo "Usage:"
 echo "   $0 Timeout"
 echo ""
 echo "NOTE: edit $0 file to set connection params, etc."
 echo ""
 exit 2
fi

#===================================================================
# InnoDB stats directly via WebX.mySQL5
#===================================================================

# Set connection params:
User=username
Passwd=password
Host=server:port

export User Passwd Host
cd /etc/STATsrv/bin
exec /etc/STATsrv/bin/WebX.mySQL5 /etc/STATsrv/bin/x.innodbSTAT -Timeout $1




#===================================================================
# InnoDB stats via mysql command
#===================================================================

# Set MySQL Connect Command here:
MYSQL_CONNECT="/usr/sfw/bin/mysql -S /etc/STATsrv/bin/mysql.socket"
export MYSQL_CONNECT

cd /etc/STATsrv/bin
exec /etc/STATsrv/bin/WebX /etc/STATsrv/bin/x.innodbSTAT -Timeout $1


