#!/bin/sh
#==================================================
# SysINFO (dim) v.1.2
#==================================================
#
# SYSINFO env contains the list of infos to be
# presented in follow syntax:
# "Title1!Command1[; TitleN!CommandN]
#
# Change default info list according your needs...
# Have fun! :)
# -Dimitri
#
LANG=C
PATH=/etc/STATsrv/bin:$PATH
export LANG PATH

SYSINFO="$SYSINFO; System View!uname -a"
SYSINFO="$SYSINFO; CPU-info!cat /proc/cpuinfo"
SYSINFO="$SYSINFO; MEM-info!cat /proc/meminfo"
SYSINFO="$SYSINFO; swaps!cat /proc/swaps"
SYSINFO="$SYSINFO; /etc/fstab!cat /etc/fstab"
SYSINFO="$SYSINFO; mount!mount"
SYSINFO="$SYSINFO; df -k!df -k"

export PATH SYSINFO LANG
cd /etc/STATsrv/bin
exec /etc/STATsrv/bin/WebX /etc/STATsrv/bin/x.SysINFO
